System Requirements

System Requirements

 
System Requirements:
 
Android: Medscape on Android
 
Requires Android 4.0.3 and up
 
NOTE: Users with 'rooted' devices and ad-blocker software installed may experience connectivity errors while using Medscape.

Please disable ad-blocker software before attempting to download Medscape's offline Clinical Reference.
  

Apple iOS: Medscape on iOS
 
Requires iOS 9.0 or later.

Compatible with iPhone, iPad, and iPod touch.
  
Would you like to receive an email to your mobile device with a link to install?
Enter your email address within this page for your corresponding ‘store’, App Store (iOS) or Google Play (Android) and then check your email via your smartphone for a link to install the app.
 

  
 
Topic Information
  • Topic #: 18002-423
  • Date Created: 11/29/2017
  • Last Modified Since: 12/04/2017
  • Viewed: 11
Welcome Guest